
From: Benoit Boissinot <benoit.boissinot@ens-lyon.org>

The following patch is needed for mips to compile with the spinlock
consolidation patch (the include of asm-mips/atomic.h is moved down to
avoid circular dependencies).

Signed-off-by: Benoit Boissinot <benoit.boissinot@ens-lyon.org>
Cc: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/spinlock.h |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)

diff -puN include/linux/spinlock.h~mips-build-fix-for-spinlock-consolidation include/linux/spinlock.h
--- devel/include/linux/spinlock.h~mips-build-fix-for-spinlock-consolidation	2005-08-03 22:50:53.000000000 -0700
+++ devel-akpm/include/linux/spinlock.h	2005-08-03 22:50:53.000000000 -0700
@@ -55,7 +55,6 @@
 #include <linux/stringify.h>
 
 #include <asm/system.h>
-#include <asm/atomic.h>
 
 /*
  * Must define these before including other files, inline functions need them
@@ -207,6 +206,11 @@ extern int __lockfunc generic__raw_read_
 	1 : ({ local_irq_restore(flags); 0; }); \
 })
 
+/*
+ * Pull the atomic_t declaration:
+ * (asm-mips/atomic.h needs above definitions)
+ */
+#include <asm/atomic.h>
 /**
  * atomic_dec_and_lock - lock on reaching reference count zero
  * @atomic: the atomic counter
_
